# Functor DGraphTreeLayout.Make

    module Make: functor (Tree : Graph.Graphviz.GraphWithDotAttrs) -> functor (TreeManipulation : sigval is_ghost_node : Tree.V.t -> boolend) -> sig .. end

Parameters:

`Tree` | : | `Graph.Graphviz.GraphWithDotAttrs`
`TreeManipulation` | : | `sig val is_ghost_node: Tree.V.t -> bool end`

    val from_tree : [> `widget ] Gtk.obj -> Tree.t -> Tree.V.t -> XDot.Make(Tree).graph_layout